Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmForum

All Superinterfaces
  ContentBase, IAttachmentSupport, ICmForumItem, ICmItem, ICmRelatedContent, ICmTopicSupport, IContainer, IItem, Serializable

    public interface ICmForum

extends ICmForumItem, IContainer, ICmTopicSupport, ICmRelatedContent

Instances of `ICmForum` are used to hold a collection of topics, or messages, relating to the subject of the forum. It is possible to save attachments with forums.

Field Summary
`static ContainerClass` | `CLASS` The container class for an `ICmForumCategory`.
`static Key[]` | `MINIMUM_FORUM_KEYS` The minimum required keys when fetching a topic.

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.beacm.ICmTopicSupport
`DEEP_TOPIC_COUNT, KEYID_DEEP_TOPIC_COUNT, KEYID_TOPIC_COUNT, TOPIC_COUNT`

Fields inherited from interface com.compoze.collab.beacm.ICmItem
`ATTACHMENT_COUNT, KEYID_ATTACHMENT_COUNT, KEYID_OWNER, KEYID_VISIBILITY, OWNER, VISIBILITY`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Fields inherited from interface com.compoze.collab.beacm.ICmRelatedContent
`KEYID_LINK, LINK`

Method Summary
`int` | `getDeepTopicCount()` Gets the number of topics under this forum and under all the topics under this forum.
`ICmForumCategory` | `getParentForumCategory()` Gets the very first `ICmForumCategory` parent
`ICmForumCategory` | `getParentForumCategory(FetchProfile profile)` Gets the very first `ICmForumCategory` parent
`ICmTopic[]` | `getTopics()` Gets the topics for this forum.
`ICmTopic[]` | `getTopics(QueryProfile qp)` Gets the topics for this forum.
`ICmTopicList` | `getTopics(QueryProfile qp, int iPageSize, int iPage)` Gets the topics for this forum.

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.beacm.ICmTopicSupport
`addTopic, getTopicCount`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Methods inherited from interface com.compoze.collab.beacm.ICmRelatedContent
`getLinks, setLinks`

Methods inherited from interface com.bea.apps.groupspace.content.ContentBase
`getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getDisplayName, getIcon, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty`

Field Detail

### CLASS

    static final ContainerClass CLASS

  The container class for an `ICmForumCategory`.

### MINIMUM_FORUM_KEYS

    static final Key[] MINIMUM_FORUM_KEYS

  The minimum required keys when fetching a topic.

Method Detail

### getTopics

    ICmTopic[] getTopics()
                         throws CollaborationException

  Gets the topics for this forum.

  Returns
    the topics for this forum
  Throws
    `CollaborationException` - if there was an error getting the topics for this forum

### getTopics

    ICmTopic[] getTopics(QueryProfile qp)
                         throws CollaborationException

  Gets the topics for this forum.

  Parameters
    `qp` - the query profile to use when getting the topics
  Returns
    the topics for this forum
  Throws
    `CollaborationException` - if there was an error getting the topics for this forum

### getTopics

    ICmTopicList getTopics(QueryProfile qp,
                           int iPageSize,
                           int iPage)
                           throws CollaborationException

  Gets the topics for this forum.

  Parameters
    `qp` - the query profile to use when getting the topics
    `iPageSize` - the page size
    `iPage` - the page number
  Returns
    the topics for this forum
  Throws
    `CollaborationException` - if there was an error getting the topics for this forum

### getDeepTopicCount

    int getDeepTopicCount()
                          throws CollaborationException

  Gets the number of topics under this forum and under all the topics under this forum.

  Specified by:
    `getDeepTopicCount` in interface `ICmTopicSupport`
  Returns
    the number of topics
  Throws
    `CollaborationException` - if there was an error getting the number of topics

### getParentForumCategory

    ICmForumCategory getParentForumCategory()
                                            throws CollaborationException

  Gets the very first `ICmForumCategory` parent

  Returns
    parent category
  Throws
    `CollaborationException`

### getParentForumCategory

    ICmForumCategory getParentForumCategory(FetchProfile profile)
                                            throws CollaborationException

  Gets the very first `ICmForumCategory` parent

  Parameters
    `profile` - the query profile to use when getting the category
  Returns
    category parent
  Throws
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved